#include "StdAfx.h"
#include "BaseWindowLayout.h"
#include "8ImageFrameDraw.h"

namespace tipuio {

REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("BaseWindowLayout"), BaseWindowLayout);
void BaseWindowLayout::LayoutContainer(CContainer* pContainer)
{
	m_AlignLayout.LayoutContainer(pContainer);

	CRect rcClient;
	pContainer->GetDrawingBounds(&rcClient);
	
	CComponent* content = pContainer->FindName(_T("content"));
	if ( NULL != content)
	{
		C8ImageFrameDraw* BorderImageDraw = dynamic_cast<C8ImageFrameDraw*>(pContainer->FindName(_T("border")));
		if (BorderImageDraw != NULL)
		{
			CRect rcContent;
			BorderImageDraw->GetRectDrawDest(&rcContent);
			content->MoveWindow(&rcContent);
		}
	}
}

};